import { EventEmitter } from '../../stencil-public-runtime';
import { Business } from '../../api/Business';
import JustifiAnalytics from '../../api/Analytics';
import { ComponentErrorEvent } from '../../api/ComponentEvents';
export declare class JustifiBusinessDetails {
    businessId: string;
    authToken: string;
    getBusiness: Function;
    business: Business;
    loading: boolean;
    errorMessage: string;
    analytics: JustifiAnalytics;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    propChanged(): void;
    private initializeGetBusiness;
    updateOnPropChange(): void;
    fetchData(): void;
    render(): any;
}
